Subject: bug#67533: SVG images confound position pixel measurements

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Dec 2023 16:18:28 +0200

> From: JD Smith <[email-masked]>
> Date: Sat, 2 Dec 2023 08:36:07 -0500
> Cc: [email-masked]
> 
> Strange.  Both of my ports here (NS and Mac) show the same issue.  Did you check the
> svg-pixel-demo-report buffer the header mentions, where the mismatch measurement information
> gets reported?  The specific problems encountered are listed in the report buffer, updated with
> my/check-buffer-pixel-values.  For example, at a standard width of 80 characters, I get this report:
> 
>  SVG Position analysis for svg-pixel-demo (width 80, text-properties)
> 
>  Incorrect at point= 34: line  2 at   (224 . 14) (image): expected 14 got 28
>  Incorrect at point= 99: line  3 at   (244 . 43) (image): expected 29 got 46
>  Incorrect at point=126: line  4 at    (42 . 75) (image): expected 32 got 46
>  Incorrect at point=162: line  4 at   (345 . 75) (image): expected 32 got 52
>  Incorrect at point=210: line  5 at  (133 . 110) (image): expected 35 got 49

I never understood I need to look in another buffer.  I will look into
these.

> So in this case, 5 of the image locations (of 7) are showing sizes of entities one pixel above them as
> too large (with sizes sometimes not matching any line height).  At small window widths (like 25-30
> characters) many zero heights start showing up.   Running the check in a normal text window
> produces an empty report (no errors). 

So any messages in that buffer are problems in your opinion?  Or just
those which state zero height?